Bug 98724 - [PATCH] lang/fpc2: separate lang/fpc2 to a lot of fpc unit ports
Summary: [PATCH] lang/fpc2: separate lang/fpc2 to a lot of fpc unit ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-08 23:20 UTC by Jose Alonso Cardenas Marquez
Modified: 2006-06-21 18:14 UTC (History)
0 users

See Also:


Attachments
fpc-2.0.2_1.patch (26.29 KB, patch)
2006-06-08 23:20 UTC, Jose Alonso Cardenas Marquez
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez 2006-06-08 23:20:26 UTC
- I separated fpc2 port to a lot of fpc-* ports. I think that it's the best way for install freepascal's ports. It allow to have a major control on dependencies, maintenance. I added missing dependencies for some ports of freepascal.
- Also I made a fpc-units port. This will install extra units to freepascal.
- I think that lang/fpc port could be removed of ports tree and rename lang/fpc2 to lang/fpc.
- Could I take maintainership? This could help me for updates future.
Comment 1 Edwin Groothuis freebsd_committer 2006-06-09 01:00:49 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 ales 2006-06-09 08:33:20 UTC
Might be a good idea if you're willing to put up with it and change to
source distribution in the future (get bootstrap fpc, get sources,
compile/patch and install).

There's also people currently working on Lazarus port, I can contact
them how they feel about this if they think there's anything wrong.

The fpc2 -> fpc renaming is ofcourse a good idea, there's a huge chaos
regarding the fpc port right now.

So to sum it up here's my idea:

1. Make fpc compile from sources (there's patches needed for freeBSD for
special cases)
2. Put it in as fpc and remove the old ports
3. Separate

If you're willing to undertake this I'd happily give you the
maintainer's flag as my time is more and more limited.

Ales
Comment 3 Renato Botelho freebsd_committer 2006-06-09 15:53:57 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

I'll take it.
Comment 4 Renato Botelho freebsd_committer 2006-06-21 18:14:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!